export declare class IndentedStringWriter {
    private _buffer;
    private _indentSize;
    private _indentLevel;
    private _offset;
    private _eol;
    private get indentLevel();
    private set indentLevel(value);
    get buffer(): readonly string[];
    constructor(indentSize?: number);
    outputTabs(): this;
    writeLine(...values: string[]): this;
    writeLineNoTabs(...values: string[]): this;
    write(...values: string[]): this;
    indent(): this;
    unindent(): this;
    toString(): string;
}
